<Project Sdk="Microsoft.NET.Sdk.Web">

  <PropertyGroup>
    <TargetFramework>net7.0</TargetFramework>
    <Nullable>enable</Nullable>
    <ImplicitUsings>enable</ImplicitUsings>
    <Version>2.0.0.0</Version>
  </PropertyGroup>

  <ItemGroup>
    <Content Remove="wwwroot\assets\img\DD_white.svg" />
    <Content Remove="wwwroot\assets\img\digital_data.svg" />
    <Content Remove="wwwroot\assets\img\digital_data_red_BG.svg" />
    <Content Remove="wwwroot\assets\img\group.svg" />
    <Content Remove="wwwroot\assets\img\Huhn_andersrum.webp" />
    <Content Remove="wwwroot\assets\img\login_logo.svg" />
    <Content Remove="wwwroot\assets\img\mode_logo.svg" />
    <Content Remove="wwwroot\assets\img\thema_bttn.svg" />
    <Content Remove="wwwroot\assets\img\user-plus-svgrepo-com.svg" />
    <Content Remove="wwwroot\assets\img\user.svg" />
    <Content Remove="wwwroot\chunk-A2L6DXQH.js" />
    <Content Remove="wwwroot\chunk-ZC35XWOR.js" />
    <Content Remove="wwwroot\favicon.ico" />
    <Content Remove="wwwroot\group-table\index.html" />
    <Content Remove="wwwroot\index.html" />
    <Content Remove="wwwroot\main-QF3MRK45.js" />
    <Content Remove="wwwroot\media\bootstrap-icons-OCU552PF.woff" />
    <Content Remove="wwwroot\media\bootstrap-icons-X6UQXWUS.woff2" />
    <Content Remove="wwwroot\module-table\index.html" />
    <Content Remove="wwwroot\polyfills-6EAL64PA.js" />
    <Content Remove="wwwroot\scripts-EEEIPNC3.js" />
    <Content Remove="wwwroot\styles-ZC4KW2NT.css" />
    <Content Remove="wwwroot\user-assignment\index.html" />
    <Content Remove="wwwroot\user-representation\index.html" />
    <Content Remove="wwwroot\user-table\index.html" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="DigitalData.Core.API" Version="2.0.0" />
    <PackageReference Include="Microsoft.AspNetCore.Authentication.JwtBearer" Version="7.0.14" />
    <PackageReference Include="Microsoft.AspNetCore.OpenApi" Version="7.0.4" />
    <PackageReference Include="Microsoft.EntityFrameworkCore" Version="7.0.16" />
    <PackageReference Include="Microsoft.EntityFrameworkCore.Design" Version="7.0.15">
      <PrivateAssets>all</PrivateAssets>
      <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
    </PackageReference>
    <PackageReference Include="Microsoft.EntityFrameworkCore.SqlServer" Version="7.0.15" />
    <PackageReference Include="Microsoft.Extensions.Hosting.WindowsServices" Version="7.0.1" />
    <PackageReference Include="NLog" Version="5.3.2" />
    <PackageReference Include="NLog.Web.AspNetCore" Version="5.3.11" />
    <PackageReference Include="Swashbuckle.AspNetCore" Version="6.4.0" />
    <PackageReference Include="System.DirectoryServices" Version="7.0.1" />
    <PackageReference Include="System.DirectoryServices.AccountManagement" Version="7.0.1" />
    <PackageReference Include="System.DirectoryServices.Protocols" Version="7.0.1" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\DigitalData.UserManager.Application\DigitalData.UserManager.Application.csproj" />
    <ProjectReference Include="..\DigitalData.UserManager.Domain\DigitalData.UserManager.Domain.csproj" />
  </ItemGroup>

  <ItemGroup>
    <Folder Include="ClientApp\" />
  </ItemGroup>

  <ItemGroup>
    <None Include="wwwroot\assets\img\DD_white.svg" />
    <None Include="wwwroot\assets\img\digital_data.svg" />
    <None Include="wwwroot\assets\img\digital_data_red_BG.svg" />
    <None Include="wwwroot\assets\img\group.svg" />
    <None Include="wwwroot\assets\img\Huhn_andersrum.webp" />
    <None Include="wwwroot\assets\img\login_logo.svg" />
    <None Include="wwwroot\assets\img\mode_logo.svg" />
    <None Include="wwwroot\assets\img\thema_bttn.svg" />
    <None Include="wwwroot\assets\img\user-plus-svgrepo-com.svg" />
    <None Include="wwwroot\assets\img\user.svg" />
    <None Include="wwwroot\favicon.ico" />
    <None Include="wwwroot\group-table\index.html" />
    <None Include="wwwroot\index.html" />
    <None Include="wwwroot\media\bootstrap-icons-OCU552PF.woff" />
    <None Include="wwwroot\media\bootstrap-icons-X6UQXWUS.woff2" />
    <None Include="wwwroot\module-table\index.html" />
    <None Include="wwwroot\polyfills-6EAL64PA.js" />
    <None Include="wwwroot\scripts-EEEIPNC3.js" />
    <None Include="wwwroot\styles-ZC4KW2NT.css" />
    <None Include="wwwroot\user-assignment\index.html" />
    <None Include="wwwroot\user-representation\index.html" />
    <None Include="wwwroot\user-table\index.html" />
  </ItemGroup>

  <ItemGroup>
    <Content Update="wwwroot\assets\config.json">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
  </ItemGroup>

</Project>
